Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Methods | Inherited Methods | [Expand All]
public final class

# MetadataChangeSet

extends Object

java.lang.Object
↳ | com.google.android.gms.drive.MetadataChangeSet

## Class Overview

A collection of metadata changes. Any fields with null values will retain their current value.

## Summary

Nested Classes
class | MetadataChangeSet.Builder | A builder for creating a new MetadataChangeSet.

Public Methods
String | getMimeType()
String | getTitle()
Boolean | isStarred()

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public String getMimeType ()

#### public String getTitle ()

#### public Boolean isStarred ()